---
title: 群晖DSM降级指南
abbrlink: 3438262134
date: 2024-02-29 08:20:22
tags:
  - 网络
  - NAS技术
categories: NAS技术
keywords:
description:
cover:
---
> 一些老机型升级DSM7.X以后，CPU占用直线飙升，套件使用不正常，此时需要对群晖系统进行降级，在此给出一次群晖系统降级DSM6.2.4的过程。

# 下载DSM6.2.4
首先到群晖官方[下载DMS6.2.4](https://www.synology.cn/zh-cn/support/download),在网页里面选择自己的机器型号，如图：

<img src="https://img.dreamlyn.cn:8443/i/2024/02/29/082604.webp">

# 下载Putty软件
在升级过程中需要使用ssh和telnet连接nas，如果有其他工具的话可以使用其他工具。

可以在官方下载，也可以点这里[下载](https://oss.dreamlyn.cn/nas/blog/putty.exe)我存储的备份。

# 群晖打开SSH和Telnet
如图：

<img src="https://img.dreamlyn.cn:8443/i/2024/02/29/083417.webp">

# ssh连接nas并设置

按如下方法敲命令：

```
login as: admin
admin@192.168.31.201's password:
Could not chdir to home directory /var/services/homes/admin: No such file or directory
admin@NAS:/$ sudo -i
Password:
root@NAS:~# vim /etc.defaults/VERSION
```
在打开的文件中，将文件改成
`注意：需要先敲键盘i才能修改`
```
majorversion="6"
minorversion="2"
productversion="6.2.4"
buildphase="GM"
buildnumber="25556"
smallfixnumber="0"
builddate="2021/11/11"
buildtime="16:11:11"
```
修改完后，按Esc键，输入:wq保存并退出。
重启群晖，如无意外，在浏览器继续访问nas会出现待安装的NAS。

# 安装DMS6.2.4
使用正常流程安装群晖NAS，不出意外的话，第一次安装会提示失败，不要慌，这是正常的。

我们不要关闭浏览器，再次使用Putty连接NAS。

>注意，这次使用Telnet进行连接，账号密码分别是:
> 用户名：root
> 密码：101-0101

然后跟第四步一样：
```
root@NAS:~# vim /etc.defaults/VERSION
```
在打开的文件中，将文件改成
```
majorversion="6"
minorversion="2"
productversion="6.2.4"
buildphase="GM"
buildnumber="25556"
smallfixnumber="0"
builddate="2021/11/11"
buildtime="16:11:11"
```
修改完后，按Esc键，输入:wq保存并退出，【重点：这一步保存后，不要重启Nas】
直接刷新群晖安装页面再次安装即可成功。
