---
title: 什么是DDNS
tags:
  - 网络
categories: 网络基础
abbrlink: 42499
date: 2022-02-22 11:02:22
keywords:
description:
---
# 什么是DDNS
动态 DNS（DDNS）是一项在 IP 地址发生变化时可以自动更新 DNS 记录的服务。域名将网络 IP 地址转换为人类可读的名称，便于识别和使用。将名称映射到 IP 地址的信息以表格形式记录在 DNS 服务器上。但是，网络管理员会动态分配 IP 地址并经常更改。每当 IP 地址发生变化时，DDNS 服务都会更新 DNS 服务器记录。借助 DDNS，域名管理变得更容易、更高效。

# 为什么要使用动态DNS
过去，IP 地址是静态的，很少更改。但是，由于互联网规模不断扩大以及服务器、智能传感器和最终用户设备数量大幅增加，IP 地址出现短缺。

# 动态DNS运作机制
组织通常会订阅由 DDNS 提供商提供的动态 DNS（DDNS）服务。提供商还维护用于处理关联域名的 DNS 记录的 DNS 服务器。以下是一般步骤：

1. 向动态 DNS 服务提供商注册域名并配置 DNS 设置
2. 向提供商提供域名的初始 IP 地址
3. 使用更改的 IP 地址在设备或服务器实例上安装动态 DNS 客户端

DDNS 客户端持续监控 IP 地址并检测任何更改。客户端向动态 DNS 提供商发送 DNS 记录更新通知，通知其新的 IP 地址。动态 DNS 提供商修改记录以指向新 IP 地址。

动态 DNS 客户端会继续监控 IP 地址以了解进一步的更改。每当发生新的更改时，该过程都会重复。

# DNS和动态DNS的差异
DNS 服务是一种全球分布式服务，可将人类可读的名称转换为数字 IP 地址。DNS 服务器将域名请求转换为 IP 地址。这些地址控制最终用户在 Web 浏览器中键入域名时将访问哪个服务器。

动态 DNS（DDNS）是 DNS 的扩展，可自动实时更新与域名关联的 IP 地址。它扩展 DNS 的功能。借助 DDNS，即使在动态 IP 地址环境中，组织和个人也可以保持连接和可访问性。

DNS 得到所有 DNS 服务器的普遍支持，在全球范围内用于将域名解析为 IP 地址。

另一方面，DDNS 需要特定 DDNS 提供商的支持。组织必须订阅 DDNS 服务并将其设备或路由器配置为与所选 DDNS 提供商合作。
