# jellyfin播放问题

## 播放错误

使用推荐的客户端([点我下载](/download ':target=_blank'))播放一般都可以解决

> 浏览器播放能力较差，需要借助客户端，客户端是带解码器的

<img style="width:50%" src="https://img.dreamlyn.cn:8443/i/2024/04/23/093807.webp"/>

#### 原因

1. 片源损坏，或者格式不支持
2. 媒体库未刷新完成;
3. 硬件解码不支持,
4. 其他(如:无文件夹访问权限)

#### 解决方案

1. Nastool不支持ISO格式或者BDMV 文件夹的原盘片源。请更换片源下载
2. 在jellyfin找到:设置-控制台-扫描所有媒体库，点击后等待进度条完成;

<img src="https://img.dreamlyn.cn:8443/i/2024/04/23/094327.webp"/>

3. 解码问题

- 方法一:无核显的情况，关闭硬件解码
- 方法二:有核显的情况，尝试调整解码的设置选项
- 方法三:使用无需NAS解码的客户端

## 播放卡顿

播放卡顿一般都是因为配置太低。

1. NAS配置低;
2.电视/手机/电脑配置低。
   
##### 解决方案

1. NAS配置低，使用无需NAS解码的客户端可以解决(比如:Infuse，Kodi，以及文档里推荐下载的客户端)，前提是的电视/手机/电脑配置足够。
2. 如果使用了无需NAS解码的客户端，还是卡顿，说明你电视/手机/电脑配置低
3. 如果NAS配置低，电视/手机/电脑配置也低。那只能建议

- 不要下载高级编码的片源(如:265/HEVC/HDR/DV)，只下载264编码
- 升级NAS配置或者电视/手机/电脑的配置
