---
title: 找不到群晖NAS的解决办法
tags:
  - 网络
  - NAS技术
categories: NAS技术
abbrlink: 2241717723
date: 2023-02-22 11:02:22
keywords:
description:
---
# 一、无法通过 Web Assistant （find.synology.cn）找到NAS

<img src="https://img.dreamlyn.cn:8443/i/2024/02/23/154737.webp">

请先尝试以下每种方法，然后再通过 Web Assistant 搜索Synology NAS ：

- 确保Synology NAS和计算机已正确连接到 Internet。 

- 确保Synology NAS和计算机位于同一局域网和子网中。

- 使用其他浏览器（如 Chrome 或 Firefox）。

- 如果 DSM 仍可访问，请进入DSM>控制面板>信息中心>设备分析>共享网络位置，并勾选允许此 DiskStation 在 Web Assistant (find.synology.com) 中显示复选框。

- 如果您在设置Synology NAS时更改了服务器名称，则可能无法找到Synology NAS。如果 DSM 仍可访问，请进入DSM>控制面板>网络>常规以将服务器名称更改为SynologyNAS，然后再试一次。

- 如果上述方法无效，请尝试使用 Synology Assistant 搜索Synology NAS 。

# 二、无法通过 [Synology Assistant](https://oss.dreamlyn.cn/nas/blog/synology-assistant-7.0.3-50049.exe) （群晖助手）找到NAS

<img src="https://img.dreamlyn.cn:8443/i/2024/02/23/154909.webp">

- 在再次通过 Synology Assistant 搜索Synology NAS之前，请尝试以下每种方法：

- 确保Synology NAS和计算机位于同一局域网和子网中。

- 调整防火墙设置以允许 Synology Assistant 通过 DSM 和Windows防火墙。

- 暂时禁用或删除计算机上的防病毒软件。

- 使用其他以太网电缆连接Synology NAS ，以检查电缆是否有缺陷。

- 如果Synology NAS具有多个网络端口，请将以太网电缆连接到其他端口以检查端口是否有故障。

- 在另一台计算机上运行 Synology Assistant 并搜索您的Synology NAS。

- 如果您使用的是 Synology Assistant 7.0-50044 或更高版本，并且您尝试查找的Synology NAS运行的是 DSM 6.2.3 及更低版本或 DSM UC 3.0.1 及更低版本，请单击 Synology Assistant 中的齿轮图标并勾选以启用允许与不支持密码加密的设备兼容。 2

- 按住Synology NAS背面的 RESET 按钮四秒钟（您会听到哔声）以重置Synology NAS设置。

- 重置Synology NAS后，关闭计算机上的 WiFi 连接，并使用以太网电缆将Synology NAS直接连接到计算机，而无需通过网络交换机或路由器。将计算机的有线 LAN 接口设置为 DHCP，然后再次使用 Synology Assistant 搜索Synology NAS 。

# 三、如果在尝试上述方法后 Synology Assistant 仍无法找到Synology NAS 

- 关闭Synology NAS，卸下硬盘，重新启动Synology NAS，然后再次尝试搜索设备。

- 即使未安装任何硬盘也无法找到Synology NAS ，这可能是由于硬件故障。
