---
title: 网络文件夹目前是以其他用户名和密码进行映射的
abbrlink: 2453996968
date: 2024-03-12 16:39:26
tags:
  - 网络
  - NAS技术 
categories: NAS技术
keywords:
description: 在使用局域网内的映射盘来访问NAS的共享文件夹时，发现无法映射成功，提示指定的网络文件夹目前是以其他用户名和密码进行映射的。在查找相关资料后找到问题的解决办法，在此做下记录。
cover:
---
>在使用局域网内的映射盘来访问NAS的共享文件夹时，发现无法映射成功，提示指定的网络文件夹目前是以其他用户名和密码进行映射的。在查找相关资料后找到问题的解决办法，在此做下记录。

<img src="https://img.dreamlyn.cn:8443/i/2024/03/12/164219.webp">

只需要以下两条命令即可解决。

# 查看windows现有的映射

打开windows的命令提示符，输入`net use`命令
```
C:\Users\lyn\Desktop
$ net use
New connections will be remembered.
Status       Local     Remote                    Network

-------------------------------------------------------------------------------
OK           O:        \\192.168.31.206\视频存储     Microsoft Windows Network
The command completed successfully.
```

# 删除现有的映射

```
C:\Users\lyn\Desktop
$ net use * /delete
You have these remote connections:

    O:              \\192.168.31.206\视频存储
Continuing will cancel the connections.

Do you want to continue this operation? (Y/N) [N]:
```
然后输入`y`回车就可以了
