# 帮助文档

> 🔏 默认账号密码：[点击查看](/password ':target=_blank')

1. 下载的电影在哪儿？怎么删除？
2. NasTool无法识别电影(入库失败、无海报)?
3. 下载好的电影怎手动识别?
4. 怎么获取中文字幕?
5. 手机、电视端要怎么看电影?
6. 硬件解码怎么开启?
7. 如何远程访问NASTool?

## 下载的电影在哪儿？怎么删除？

> ⚠ 正在热映或院线刚下映的电影要等几个月才有

#### 下载到哪里？

如图，qb下载器下载到【下载】对应的目录（如【电影】或【电视】内），NasTool自动搜刮海报并放入对应的目录，随后jellyfin会自动识别。

<img src="https://img.dreamlyn.cn:8443/i/2024/04/22/112415.webp"/> 

#### 硬链接原理

硬链接我们可以理解为一个文件的分身，它可以拥有和源文件不同的名字和路径，但实际上它们都指向同一个物理数据。
在Nastool里硬链接主要用在影视文件的整理中，将目录和文件进行整理，但还指向原来的文件数据。

#### 如何删除

1. 在NAS的文件管理器中删除文件。
2. 在NASTool的`文件管理`或者`历史记录`中进行删除，如果要完全删除，需要点击删除源及媒体文件同时删除。

<img src="https://img.dreamlyn.cn:8443/i/2024/04/22/114137.webp"/> 

## NasTool无法识别电影（入库失败、无海报）？ 

>⚠ 片源命名不规范会导致NasTool无法识别及搜刮

1. 电影放到【下载】-【电影】里，电视剧放到【下载】-【电视】里
2. 按要求对影视文件重命名，点击查看:[重命名规则](/manual ':target=_blank')
3. NasTool手动识别，完成1、2步后，点击“服务-目录同步”
   
   [点击查看详细教程](/manual?id=同步目录 ':target=_blank')

<img src="https://img.dreamlyn.cn:8443/i/2024/04/22/115209.webp"/>

## 怎么获取中文字幕？

Jellyfin已经内置了字幕下载插件，无需CSF字幕软件，新添加的资源会自动下载字幕。

> ⚠ 受字幕源影响，并非100%的电影都有字幕，尤其是刚出的新片源。

实在搜索不到的字幕，可以手动下载字幕:

[1.字幕库下载地址](https://zimuku.org/)

[2.射手网下载地址](https://assrt.net/)

或添加资源自带中文字幕的PT站点:[资源获取说明](/addpt ':target=_blank')

```
下载完字幕后，将字幕文件和硬链接里的电影文件放在同一文件夹内，名称必须和电影名称一致，例如:
电影命名:复仇者联盟(2008)-1080p.mkv
字幕命名:复仇者联盟(2008)-1080p.简体中文.ass
```
<img src="https://img.dreamlyn.cn:8443/i/2024/04/22/115619.webp"/>

## 手机、电视端怎么看电影

首先下载客户端（[点击下载](/download ':target=_blank'))），打开后输入服务器地址（[点击查看服务器地址](/password ':target=_blank')）和账号密码。

- android：推荐使用【Findroid】
- IOS：推荐使用免费的【VideHub】、【Swiftfin】和付费的【Infuse】
- 电脑：推荐使用【Terminus Player】

<img src="https://img.dreamlyn.cn:8443/i/2024/04/22/133110.webp"/>

## 硬件解码怎么开启？

Jellyfin可以在控制台设置里开启硬件解码，QSV整体转码能力优于VAAPI。

NAS配置差，播放卡顿或者无法播放怎么办?[Jellyin硬件解码、播放问题指南](/jellyfinplay ':target=_blank')

```
注意
建议核显HD610及以上设备开启，否则可能会无法播放
群晖系统docker容器，编辑里面需要给iellyfin开启root权限:
```

<img src="https://img.dreamlyn.cn:8443/i/2024/04/22/135832.webp"/>

## 如何远程访问NASTool?
```
注意:外网访问必须要有公网IP，或内网穿透
公网是需要像运营商申请的
本服务仅提供软件安装部署，不提供公网远程访问的服务!
需要远程访问的请购买公网IP或内网穿透服务。
```
